import {createRouter,createWebHashHistory} from "vue-router";
import FormHome from "../views/c-views/formPart/FormHome.vue";
import VisualizationHome from "../views/c-views/visualizationPart/VisualizationHome.vue";
import HouseBuilding from "@/views/c-views/visualizationPart/houseBuilding/HouseBuilding.vue";
import MainPage from "@/views/c-views/visualizationPart/mainPage/MainPage.vue";
import MunicipalFacilities from "@/views/c-views/visualizationPart/municipalFacilities/MunicipalFacilities.vue";
const router = createRouter({
    history:createWebHashHistory(import.meta.env.BASE_URL),
    routes:[
        {
            path:'/',
            redirect:'/visualizationHome/mainPage'
        },
        {
            path:'/visualizationHome',
            name:'visualizationHome',
            component:VisualizationHome,
            children:[
                {
                    path:'houseBuilding',
                    name:'houseBuilding',
                    component:HouseBuilding,
                },
                {
                    path:'municipalFacilities',
                    name:'municipalFacilities',
                    component:MunicipalFacilities,
                },
                {
                    path:'mainPage',
                    name:'mainPage',
                    component:MainPage,
                },
            ]
        },
        {
            path:'/formHome',
            name:'formHome',
            component:FormHome
        }
    ]
})
export default router